LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   install skype (https://www.linuxquestions.org/questions/linux-software-2/install-skype-706569/)

mazouz_n 02-22-2009 03:00 AM

install skype
 
Hi there!
How can I install all missing libraries during skype's installation under centos 5?
Im getting this:

# rpm -ivh skype-2.0.0.72-fc5.i586.rpm
warning: skype-2.0.0.72-fc5.i586.rpm: Header V3 DSA signature: NOKEY, key ID d66b746e
error: Failed dependencies:
libQtCore.so.4 is needed by skype-2.0.0.72-fc5.i586
libQtDBus.so.4 is needed by skype-2.0.0.72-fc5.i586
libQtGui.so.4 is needed by skype-2.0.0.72-fc5.i586
libQtNetwork.so.4 is needed by skype-2.0.0.72-fc5.i586
qt4-x11 >= 4.2 is needed by skype-2.0.0.72-fc5.i586

repo 02-22-2009 03:09 AM

Hi,

Take a look at
http://forums.fedoraforum.org/archiv.../t-174114.html

colucix 02-22-2009 03:54 AM

For the Qt libraries you have to install the qt4-devel package. For qt4-x11 there is not a package with that name in Centos5. However someone reported that Skype should work well without that dependency. To force installation of the package despite the missing dependency use --nodeps, but only after having matched all other dependencies but the qt4-x11.

x_terminat_or_3 02-22-2009 06:27 AM

It is best to download the RPM from the Skype website, then, as root, type in

Code:

yum --nogpg install name_of_skype_rpm.rpm
The nogpg switch is required because the skype rpm is not signed.

Running yum install on a local rpm will tell yum to install the rpm, and resolve any dependencies using the configured repositories


All times are GMT -5. The time now is 07:15 PM.